org.eclipse.emf.cdo.eresource.impl

## Class CDOResourceImpl.ContentsCDOList

- java.lang.Object
- - java.util.AbstractCollection<E>
  - - java.util.AbstractList<E>
    - - org.eclipse.emf.common.util.AbstractEList<E>
      - - org.eclipse.emf.common.util.DelegatingEList<E>
        - - org.eclipse.emf.common.notify.impl.DelegatingNotifyingListImpl<E>
          - - org.eclipse.emf.ecore.util.DelegatingNotifyingInternalEListImpl<E>
            - - org.eclipse.emf.ecore.util.DelegatingEcoreEList<E>
              - - org.eclipse.emf.ecore.util.DelegatingEcoreEList.Generic<E>
                - - org.eclipse.emf.ecore.util.DelegatingEcoreEList.Dynamic<E>
                  - - org.eclipse.emf.ecore.impl.EStoreEObjectImpl.BasicEStoreEList<Object>
                    - - org.eclipse.emf.cdo.eresource.impl.CDOResourceImpl.ContentsCDOList

- All Implemented Interfaces:
    Serializable, Cloneable, Iterable<Object>, Collection<Object>, List<Object>, NotifyingList<Object>, EList<Object>, EStructuralFeature.Setting, InternalEList<Object>, InternalEList.Unsettable<Object>
  Enclosing class:
    CDOResourceImpl

      protected class CDOResourceImpl.ContentsCDOList
      extends EStoreEObjectImpl.BasicEStoreEList<Object>

  An implementation of a CDO specific 'contents' list.
  Since:
    2.0
  Author:
    Eike Stepper
  See Also:
    Serialized Form
  Added

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.eclipse.emf.ecore.util.DelegatingEcoreEList

      `DelegatingEcoreEList.Dynamic<E>, DelegatingEcoreEList.Generic<E>, DelegatingEcoreEList.UnmodifiableEList<E>, DelegatingEcoreEList.Unsettable<E>`

    - ### Nested classes/interfaces inherited from class org.eclipse.emf.common.util.DelegatingEList

      `DelegatingEList.EIterator<E1>, DelegatingEList.EListIterator<E1>, DelegatingEList.NonResolvingEIterator<E1>, DelegatingEList.NonResolvingEListIterator<E1>`

    - ### Nested classes/interfaces inherited from class org.eclipse.emf.common.util.AbstractEList

      `AbstractEList.BasicIndexOutOfBoundsException`

  - ### Field Summary

    - ### Fields inherited from class org.eclipse.emf.ecore.util.DelegatingEcoreEList.Dynamic

      `eStructuralFeature`

    - ### Fields inherited from class org.eclipse.emf.ecore.util.DelegatingEcoreEList.Generic

      `HAS_INSTANCE_CLASS, HAS_MANY_INVERSE, HAS_NAVIGABLE_INVERSE, HAS_PROXIES, IS_CONTAINER, IS_CONTAINMENT, IS_ENUM, IS_EOBJECT, IS_PRIMITIVE, IS_SET, IS_UNIQUE, IS_UNSETTABLE, kind`

    - ### Fields inherited from class org.eclipse.emf.ecore.util.DelegatingEcoreEList

      `owner`

    - ### Fields inherited from class java.util.AbstractList

      `modCount`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ContentsCDOList(EStructuralFeature eStructuralFeature)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `contains(Object object)` Optimization taken from ResourceImpl.EContentList.contains.
    `protected void` | `didAdd(int index, Object newObject)`
    `protected void` | `didClear(int size, Object[] oldObjects)`
    `protected boolean` | `hasInverse()`
    `NotificationChain` | `inverseAdd(Object object, NotificationChain notifications)`
    `NotificationChain` | `inverseRemove(Object object, NotificationChain notifications)`
    `protected boolean` | `isUnique()`
    `protected void` | `loaded()`
    `protected void` | `modified()`
    `protected boolean` | `useEquals()`
    `protected Object` | `validate(int index, Object object)`

    - ### Methods inherited from class org.eclipse.emf.ecore.impl.EStoreEObjectImpl.BasicEStoreEList

      `delegateAdd, delegateAdd, delegateBasicList, delegateClear, delegateContains, delegateContainsAll, delegateEquals, delegateGet, delegateHashCode, delegateIndexOf, delegateIsEmpty, delegateIterator, delegateLastIndexOf, delegateList, delegateListIterator, delegateMove, delegateRemove, delegateSet, delegateSize, delegateToArray, delegateToArray, delegateToString, eStore, getEStructuralFeature, isSet, unset`

    - ### Methods inherited from class org.eclipse.emf.ecore.util.DelegatingEcoreEList.Generic

      `canContainNull, didChange, hasInstanceClass, hasManyInverse, hasNavigableInverse, hasProxies, isContainer, isContainment, isEObject, isUnsettable, kind`

    - ### Methods inherited from class org.eclipse.emf.ecore.util.DelegatingEcoreEList

      `createNotification, createNotification, dispatchNotification, get, getEObject, getFeature, getFeatureID, getFeatureType, getInverseEReference, getInverseFeatureClass, getInverseFeatureID, getNotifier, indexOf, isInstance, isNotificationRequired, lastIndexOf, resolve, resolve, resolveProxy, set, toArray, toArray`

    - ### Methods inherited from class org.eclipse.emf.ecore.util.DelegatingNotifyingInternalEListImpl

      `basicContains, basicContainsAll, basicGet, basicIndexOf, basicIterator, basicLastIndexOf, basicList, basicListIterator, basicListIterator, basicToArray, basicToArray`

    - ### Methods inherited from class org.eclipse.emf.common.notify.impl.DelegatingNotifyingListImpl

      `addAllUnique, addAllUnique, addAllUnique, addAllUnique, addUnique, addUnique, basicAdd, basicRemove, basicSet, clear, createNotification, createNotificationChain, doAddAllUnique, doAddAllUnique, doAddAllUnique, doAddAllUnique, doAddUnique, doAddUnique, doClear, doMove, doRemove, doRemoveAll, doSetUnique, getFeatureID, hasShadow, move, remove, removeAll, setUnique, shadowAdd, shadowRemove, shadowSet`

    - ### Methods inherited from class org.eclipse.emf.common.util.DelegatingEList

      `containsAll, doClear, equals, get, hashCode, isEmpty, primitiveGet, remove, retainAll, size, toString`

    - ### Methods inherited from class org.eclipse.emf.common.util.AbstractEList

      `add, add, addAll, addAll, didMove, didRemove, didSet, equalObjects, getDuplicates, getNonDuplicates, iterator, listIterator, listIterator, move, set`

    - ### Methods inherited from class java.util.AbstractList

      `removeRange, subList`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface org.eclipse.emf.ecore.util.InternalEList

      `addAllUnique, addAllUnique, addUnique, addUnique, basicAdd, basicContains, basicContainsAll, basicGet, basicIndexOf, basicIterator, basicLastIndexOf, basicList, basicListIterator, basicListIterator, basicRemove, basicToArray, basicToArray, setUnique`

    - ### Methods inherited from interface org.eclipse.emf.common.util.EList

      `move, move`

    - ### Methods inherited from interface java.util.List

      `add, add, addAll, addAll, clear, containsAll, equals, get, hashCode, isEmpty, iterator, listIterator, listIterator, remove, remove, removeAll, replaceAll, retainAll, set, size, sort, spliterator, subList`

    - ### Methods inherited from interface java.util.Collection

      `parallelStream, removeIf, stream`

    - ### Methods inherited from interface java.lang.Iterable

      `forEach`

- - ### Constructor Detail

    - #### ContentsCDOList

          public ContentsCDOList(EStructuralFeature eStructuralFeature)

  - ### Method Detail

    - #### contains

          public boolean contains(Object object)

      Optimization taken from ResourceImpl.EContentList.contains.
      Specified by:
        `contains` in interface `Collection<Object>`
      Specified by:
        `contains` in interface `List<Object>`
      Overrides:
        `contains` in class `DelegatingEcoreEList<Object>`
      Since:
        2.0

    - #### inverseAdd

          public NotificationChain inverseAdd(Object object,
                                              NotificationChain notifications)

      Overrides:
        `inverseAdd` in class `DelegatingEcoreEList<Object>`
      Since:
        2.0

    - #### inverseRemove

          public NotificationChain inverseRemove(Object object,
                                                 NotificationChain notifications)

      Overrides:
        `inverseRemove` in class `DelegatingEcoreEList<Object>`
      Since:
        2.0

    - #### loaded

          protected void loaded()

      Since:
        2.0

    - #### modified

          protected void modified()

      Since:
        2.0

    - #### useEquals

          protected boolean useEquals()

      Overrides:
        `useEquals` in class `DelegatingEcoreEList.Generic<Object>`
      Since:
        2.0

    - #### hasInverse

          protected boolean hasInverse()

      Overrides:
        `hasInverse` in class `DelegatingEcoreEList.Generic<Object>`
      Since:
        2.0

    - #### isUnique

          protected boolean isUnique()

      Overrides:
        `isUnique` in class `DelegatingEcoreEList.Generic<Object>`
      Since:
        2.0

    - #### validate

          protected Object validate(int index,
                                    Object object)

      Overrides:
        `validate` in class `DelegatingEcoreEList<Object>`
      Since:
        4.2

    - #### didAdd

          protected void didAdd(int index,
                                Object newObject)

      Overrides:
        `didAdd` in class `AbstractEList<Object>`
      Since:
        4.0

    - #### didClear

          protected void didClear(int size,
                                  Object[] oldObjects)

      Overrides:
        `didClear` in class `AbstractEList<Object>`
      Since:
        4.0

Copyright (c) 2014 Eike Stepper (Berlin, Germany) and others.
All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v1.0 which accompanies this distribution, and is available at http://www.eclipse.org/legal/epl-v10.html